Skip to main content
`Ctrl`+`K`

# smallpond.execution.task.TaskId

class smallpond.execution.task.TaskId

  A unique identifier for a task.

  __init__()

  Methods

  `__init__`() |
  `as_integer_ratio`() | Return integer ratio.
  `bit_length`() | Number of bits necessary to represent self in binary.
  `conjugate` | Returns self, the complex conjugate of any int.
  `from_bytes`(byteorder, *[, signed]) | Return the integer represented by the given array of bytes.
  `to_bytes`(length, byteorder, *[, signed]) | Return an array of bytes representing an integer.

  Attributes

  `denominator` | the denominator of a rational number in lowest terms
  `imag` | the imaginary part of a complex number
  `numerator` | the numerator of a rational number in lowest terms
  `real` | the real part of a complex number